Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Classes | Public Member Functions | Public Attributes | List of all members
smartcard::CardReader Interface Reference

Card Reader Interface. More...

`import <CardReader.idl;`

## Classes
struct | CardEvent
| Card base event. More...
struct | CardInformation
| Card Information. More...
struct | CardInsertedEvent
| Card inserted event. More...
struct | CardRemovedEvent
| Card removed event. More...
struct | MetaData
| Reader Metadata. More...

## Public Member Functions
MetaData | getMetaData ()
| Retrieve reader metadata.
int | getCardInformation (out CardInformation cardInfo)
| Retrieve card information from reader.

## Public Attributes
constant int | NO_ERROR = 0
| Error codes.
constant int | ERR_SLOT_EMPTY = 1
| no card present in reader

## Detailed Description

Card Reader Interface.

Definition at line 15 of file CardReader.idl.

## Member Function Documentation

## ◆ getCardInformation()

int smartcard::CardReader::getCardInformation | ( | out CardInformation | cardInfo | ) |

Retrieve card information from reader.

Parameters

  cardInfo | Card Information

Returns
  NO_ERROR if OK
  ERR_SLOT_EMPTY if reader sees no card

## ◆ getMetaData()

MetaData smartcard::CardReader::getMetaData | ( |  | ) |

Retrieve reader metadata.

Returns
  metadata

## Member Data Documentation

## ◆ ERR_SLOT_EMPTY

constant int smartcard::CardReader::ERR_SLOT_EMPTY = 1

no card present in reader

Definition at line 19 of file CardReader.idl.

## ◆ NO_ERROR

constant int smartcard::CardReader::NO_ERROR = 0

Error codes.

operation successful, no error

Definition at line 18 of file CardReader.idl.

The documentation for this interface was generated from the following file:

- CardReader.idl